Index: trunk/tools/scripts/mavlink.xml
===================================================================
--- trunk/tools/scripts/mavlink.xml	(revision 33)
+++ trunk/tools/scripts/mavlink.xml	(revision 35)
@@ -2,6 +2,6 @@
 <root name="Manager">
   <TabWidget name="Main_TabWidget">
-    <Tab name="GuiFlair">
-      <TabWidget name="GuiFlair">
+    <Tab name="GuiGcs">
+      <TabWidget name="GuiGcs">
         <Tab name="Settings">
           <GroupBox name="Controls">
Index: trunk/tools/scripts/mavlink_launch.sh
===================================================================
--- trunk/tools/scripts/mavlink_launch.sh	(revision 33)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#! /bin/bash
-ARCH_DIR=$(uname -m)
-
-# $1 is the drone ip
-if [ "$#" -ne 1 ] ; then
-  echo "Usage: $0 drone_ip_address"
-  exit 1
-fi
-
-. ${FLAIR_ROOT}/flair-bin/tools/scripts/ubuntu_cgroup_hack.sh
-
-#we must run as root
-if [ $EUID -ne 0 ]; then
-  exec sudo -E $0 $*
-fi
-
-export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
-${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/mavlink_test -a ${1}:20000 -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml
Index: trunk/tools/scripts/mavplanner_flair_launch.sh
===================================================================
--- trunk/tools/scripts/mavplanner_flair_launch.sh	(revision 33)
+++ trunk/tools/scripts/mavplanner_flair_launch.sh	(revision 35)
@@ -10,3 +10,3 @@
 
 export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
-${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/MavPlanner -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml -m "flair" -a 127.0.0.1 -p 9000
+${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/MavPlanner -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml -m "gcs" -a 127.0.0.1 -p 9000 --outputPort 5555 --outputAddress 127.0.0.1
Index: trunk/tools/scripts/mavplanner_forward_launch.sh
===================================================================
--- trunk/tools/scripts/mavplanner_forward_launch.sh	(revision 35)
+++ trunk/tools/scripts/mavplanner_forward_launch.sh	(revision 35)
@@ -0,0 +1,12 @@
+#! /bin/bash
+ARCH_DIR=$(uname -m)
+
+. ${FLAIR_ROOT}/flair-bin/tools/scripts/ubuntu_cgroup_hack.sh
+
+#we must run as root
+if [ $EUID -ne 0 ]; then
+  exec sudo -E $0 $*
+fi
+
+export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
+${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/MavPlanner --inputAddress 127.0.0.1 --inputPort 5036 -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml -m "forward" --outputAddress 127.0.0.1 --outputPort 5037 -a 127.0.0.1 -p 9000
Index: trunk/tools/scripts/mavplanner_gcs_lauch.sh
===================================================================
--- trunk/tools/scripts/mavplanner_gcs_lauch.sh	(revision 33)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#! /bin/bash
-ARCH_DIR=$(uname -m)
-
-. ${FLAIR_ROOT}/flair-bin/tools/scripts/ubuntu_cgroup_hack.sh
-
-#we must run as root
-if [ $EUID -ne 0 ]; then
-  exec sudo -E $0 $*
-fi
-
-export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
-${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/MavPlanner -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml -m "gcs" --outputAddress 127.0.0.1 --outputPort 5036 -a 127.0.0.1 -p 9000
Index: trunk/tools/scripts/mavplanner_gcs_launch.sh
===================================================================
--- trunk/tools/scripts/mavplanner_gcs_launch.sh	(revision 35)
+++ trunk/tools/scripts/mavplanner_gcs_launch.sh	(revision 35)
@@ -0,0 +1,12 @@
+#! /bin/bash
+ARCH_DIR=$(uname -m)
+
+. ${FLAIR_ROOT}/flair-bin/tools/scripts/ubuntu_cgroup_hack.sh
+
+#we must run as root
+if [ $EUID -ne 0 ]; then
+  exec sudo -E $0 $*
+fi
+
+export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
+${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/MavPlanner -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml -m "gcs" --outputAddress 127.0.0.1 --outputPort 5036 -a 127.0.0.1 -p 9000
Index: trunk/tools/scripts/mavplanner_lauch.sh
===================================================================
--- trunk/tools/scripts/mavplanner_lauch.sh	(revision 33)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#! /bin/bash
-ARCH_DIR=$(uname -m)
-
-. ${FLAIR_ROOT}/flair-bin/tools/scripts/ubuntu_cgroup_hack.sh
-
-#we must run as root
-if [ $EUID -ne 0 ]; then
-  exec sudo -E $0 $*
-fi
-
-export LD_LIBRARY_PATH="${OECORE_HOST_SYSROOT}/usr/lib:${OECORE_HOST_SYSROOT}/lib"
-${FLAIR_ROOT}/flair-bin/tools/$ARCH_DIR/unix/MavPlanner --inputAddress 127.0.0.1 --inputPort 5036 -x ${FLAIR_ROOT}/flair-bin/tools/scripts/mavlink.xml -m "forward" --outputAddress 127.0.0.1 --outputPort 5037 -a 127.0.0.1 -p 9000
